TypoScript Reference (TSref) - Task # 43364

Status: Closed Priority: Should have
Author: Chris topher Category:

Created: 2012-11-27 Assigned To: Chris topher
Updated: 2013-04-11 Due date:

Subject: Add examples for stdWrap.ifNull and if.isNull

Description

The current documentation is OK, but some examples might help to understand these properties even easier.

For example:

10 = TEXT
10 {
field = description
stdWrap.ifNull = No description available.

}

40 = TEXT
40 {
if.isNull.field = description
value = No description available.

}

Related issues:

related to TypoScript Reference (TSref) - Feature # 43181: Integrate NULL val...
follows Core - Feature # 43133: Integrate possibility to determine NULL value...

Closed
Resolved

2012-11-20
2012-11-20

Associated revisions

Revision cf09b444 - 2013-04-10 23:21 - Chris topher

[TASK] Add examples for stdWrap.ifNull and if.isNull

Add examples to the documentation of stdWrap.ifNull and
stdWrap.if.isNull.

Change-Id: 124131dc5da98c47a1a65fa5e8c4838f081a82720
Resolves: #43364
Reviewed-on: https://review.typo3.org/19789

Reviewed-by: Christopher

Tested-by: Christopher

Revision 22f28371 - 2013-04-11 16:35 - Chris topher

[TASK] Add examples for stdWrap.ifNull and if.isNull

Add examples to the documentation of stdWrap.ifNull and
stdWrap.if.isNull.
https://review.typo3.org/19789

Change-Id: 124131dc5da98c47a1a65fa5e8c4838f081a82720
Resolves: #43364
Reviewed-on: https://review.typo3.0rg/19789

Reviewed-by: Christopher
Tested-by: Christopher
Reviewed-on: https://review.typo3.org/19797

History

#1 - 2013-04-10 23:02 - Chris topher
- Assigned To set to Chris topher

The above examples need to be embedded into internal objects like into a COA_INT object. Otherwise you get funny, but wrong results.

#2 - 2013-04-10 23:18 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19789

#3 - 2013-04-10 23:28 - Chris topher
- Target version set to 6.1

#4 - 2013-04-10 23:39 - Chris topher

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cf09b44490516df2996d9566598402e4ec0ef302.

#5 - 2013-04-11 16:32 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch 6-0 has been pushed to the review server.
It is available at https://review.typo3.0rg/19797

#6 - 2013-04-11 16:36 - Chris topher
- Status changed from Under Review to Resolved

Applied in changeset commit:22f283714b041ca9f15a7a8ab407385050f04a07.

#7 - 2013-04-11 16:41 - Chris topher
- Status changed from Resolved to Closed
- Target version changed from 6.1 to 6.0
